Page MenuHomePhabricator

[DO NOT USE] Steward, global sysop and SWMT tasks bugs (tracking) [superseded by #Stewards-and-global-tools]
Closed, InvalidPublic

Description

WARNING: This tracking task has been superseded by Stewards-and-global-tools project. Please use/watch that project instead. Thanks.

This was a tracking bug for issues with tools and extensions often used by stewards and other global user rights holders. Also relates to mw:Admin tools development.

Details

Reference
bz41492

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Qgil added a comment.Jul 3 2015, 10:26 AM

Please confirm and promote this activity by assigning it to its owner, listing it or scheduling it at the Hackathon wiki page and by placing it in the right column at #Wikimania-Hackathon-2015. Thank you!

@Qgil: I'm not sure which Wikimania-Hackathon-2015 "activity" there is here. You associate that project yourself to this task, maybe you remember?

I think at one point I was considering doing one of these tasks at the hackathon. Not anymore, so I'll remove the project.

Krenair set Security to None.
Tgr closed subtask Restricted Task as Declined.Jul 8 2015, 7:14 AM
Stryn added a subscriber: Stryn.Aug 1 2015, 4:40 PM
Qgil removed a subscriber: Qgil.Aug 8 2015, 3:02 PM

@Aklapper was discussed that this may be turned into a project rather than left as a blocking task. Did that progress anywhere in the discussion? It hasn't apparently on the bug.

@Billinghurst: All discussion is in this very task and anybody with batch-edit and project-creation permissions can convert by following the steps. I myself haven't had time yet plus still wonder what the project name would be.

@Billinghurst: All discussion is in this very task and anybody with batch-edit and project-creation permissions can convert by following the steps. I myself haven't had time yet plus still wonder what the project name would be.

I can bulk-edit and volunteer to convert this bug into a project. We need to consensuate an appropriate name and then I'll try to do it. Thanks.

Luke081515 added a subscriber: Luke081515.EditedSep 17 2015, 1:52 PM

@MarcoAurelio I can do it, just need the new project for that

That's fine for me Luke, thanks. I wonder if we shall discuss the names here or propose at Meta/mediawiki.org and vote upon them according to the guidelines.

I'm ready now, I got all Tasks IDs (not the 4 restriced Tasks). So we just need the project name now.

I'm ready now, I got all Tasks IDs (not the 4 restriced Tasks). So we just need the project name now.

That's the difficult part. I can't think of a name that groups all this pot-pourri of tasks. It might take some time to do this.

Savh added a subscriber: Savh.Oct 22 2015, 8:44 PM
Legoktm closed this task as Declined.Oct 27 2015, 5:02 PM
Legoktm claimed this task.

Superseded by the Stewards-and-global-tools project. Please watch that instead of this bug.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptOct 27 2015, 5:02 PM
Legoktm updated the task description. (Show Details)Oct 27 2015, 5:03 PM
Dereckson changed the status of subtask T98625: ContactPage for stewards at Meta-Wiki from Open to Stalled.Nov 18 2015, 8:21 PM
Trijnstel closed subtask Restricted Task as Declined.Dec 21 2015, 12:27 AM
Trijnstel changed the status of subtask Restricted Task from Declined to Resolved.Dec 21 2015, 12:32 AM
Jalexander changed the status of subtask T98625: ContactPage for stewards at Meta-Wiki from Stalled to Open.May 4 2016, 8:24 PM

Blocking task still need removal, but I'll wait until I can do this w/o noise.

MarcoAurelio renamed this task from Steward, global sysop and SWMT tasks bugs (tracking) to [DO NOT USE] Steward, global sysop and SWMT tasks bugs (tracking) [superseded by #Stewards-and-global-tools].Dec 15 2016, 5:29 PM
MarcoAurelio changed the task status from Declined to Invalid.
MarcoAurelio lowered the priority of this task from Normal to Lowest.
MarcoAurelio removed Legoktm as the assignee of this task.
MarcoAurelio updated the task description. (Show Details)

I'll finish migration by removing all subtasks from this Task, as per guidelines. Sorry for the forthcomming flood.

MarcoAurelio removed subtasks: T116211: Improve/investigate solutions for the Flow botspam, T114873: Exclude Wikimedia private wikis from the global title blacklist [[m:title blacklist]], T113149: CentralAuth log messages need improvement, T62607: Add lock reason (from log) or [[Special:CentralAuth/$1]] ($1=username) link to 'centralauth-login-error-locked' message., T103749: centralauth block failed with <centralauth-admin-lock-nonexistent>, T104371: Strengthen password policy for Stewards, T111837: Create more search fields in GlobalRenameQueue, T106067: Undeploy DisableAccount extension, T109060: [DisableAccount] Write a script to migrate disabled accounts with DisableAccount to blocked account, T111174: Special:UploadWizard needs to notify globally blocked users at the beginning of the process, and provide a standard block message, T107663: Restore delete.php, T102737: Create an account availability lookup special page , T102254: Allow a script to work on login.wikimedia.org, T101982: Update 'viewsuppressed' permission to allow users holding the right view previous block logs after 'hideuser', T78840: Make a SpecialPage to show stats on blocked IP (ranges) that attempt to edit, T69541: Special:MultiLock returns multiple success messages about statuses of users changed., T98625: ContactPage for stewards at Meta-Wiki, T97261: Create raw lists of users that trigger a given abusefilter, T85703: New user account creations (mostly spambots) not logged in loginwiki, T94591: SpamBlacklist should support protocol-relative files, Restricted Task, T94321: GlobalRenameQueue needs a means (status) to set "on hold" function on a rename request, T93564: Addition of last hit date to Special:AbuseFilter table, T92376: Set $wgRateLimits['badcaptcha'] to counter bots, T91884: Option to place local blocks at Meta uses weird block settings, T89205: Work out what global/cross-wiki user rights changed while logging was broken, T88886: Global Rename Queue to default sort in descending order, or be placed at the end of the list, T87559: Locked accounts should have mail-based notifications <s>receipt</s> disabled, T85323: Allow filtering by local and global hits on Special:AbuseLog, T73495: Create an API module to edit a user's global group membership, T66475: Make crosswiki bits and pieces truly global (tracking), T66255: Enable AbuseFilter log hits on irc.wikimedia.org for all wikis with the extension, T72795: Pywikibot does not work on closed WMF wikis, T64445: Need to change password on two mailing lists, T70889: Store rename requests in a central table, T70886: Request global account rename from home wiki before forced SUL name change, T67515: Local user block from global block should prevent account creation, T62408: Enable global AbuseFilters for all small wikis, T72380: GlobalRename: check with global AntiSpoof and warn about possible collisions, T63945: Meta's block reason drop down is the default MediaWiki:Ipbreason-dropdown rather than the local customised file, T62169: Global equivalent of autoconfirmed group, T61711: [global abuse filters] Wikimania 2013 and Wikimania2014 to be added to wikis with this functionality, T61702: Examine which extensions are installed on login.wikimedia.org (loginwiki) and vote.wikimedia.org (votewiki), T61701: Revoke all userrights from local groups on loginwiki, whitelist the needed ones, T68450: Set $wgTitleBlacklistLogHits = true on WMF wikis, T65086: Add titleblacklist log, T55083: Adding "total editcount" column to Special:Multilock page, T59891: Review and deploy GlobalCssJs extension to Wikimedia wikis, T59866: Causes "Incorrect password entered" error when the account is globally locked, T59857: Global contributions special page, T63252: Fatal error: applying cross-wiki user rights broken (seemingly following rollout of 1.23wmf13), T66541: regex expressions starting with caret (^) not functioning as per instructions say, T54734: Special:CentralAuth only shows log extracts to stewards, T58045: List global group membership on Special:CentralAuth, T54673: Globally blocked IPs should have a box with block info on Special:Contributions, T54674: Locked accounts should have a box with lock info on Special:Contributions, T61120: Update oversight logs in list of user links in Special:Contributions, T52751: Globalblocking a logged-in user, T49626: TorBlock catches Tor relay node, T49491: Special:MultiLock to implement flood setting at meta, T59253: MultiLock shows extracts from the whole suppress log, instead of only CA-related entries, T47747: Create a tool like SpamBlacklist in AbuseFilter, T44231: MediaWiki:Globalblocking-ipblocked should have a specific message for WMF projects, T44211: Group membership log messages sometimes miss new membership status, T49302: User rights allocation xwiki, doesn't check local situation, T47631: "Get edits" results should show CentralAuth lock status, like the "Get users" results do, T45916: Do not require globalgrouppermissions or globalgroupmembership rights in global groups to access Special:GlobalGroupPermissions or Special:GlobalGroupMembership, T45913: Please create and run a maintenance script to consolidate some user rights changes made at Meta-Wiki, T55939: Testing spam blacklist prior to abuse filters, T42439: Allow global whitelisting for global blocks, T55905: Create global account on login/rename, T44010: Unable to edit some wikisets, T47469: The <Centralauth-error-locked> message sucks and needs improvement, T45761: Allow local disabling of global AbuseFilters, T49045: Special:AbuseLog?wpSearchUser=${ip} takes 30-90 seconds to load, sometimes is 504, T50623: Add user-agent variable for abuse filtering, T55720: [Regression] Recent changes udp/irc feed for log actions changed, T43778: IPv6 range blocks aren't working on Meta-Wiki, T43772: Checkuser rights not being correctly applied on test.wikipedia.org, T47094: Prevent accounts to be globally hidden or oversighted if they're not about to be globally locked first (or already are)., T48746: CentralAuth wikiset manager complains about pa_uswikimedia, T47064: Create block log entries on HideUser blocks, T55537: global abusefilter testing for 3 more wikis, T50323: XFF Blocking not working locally, only globally, T43481: Use a dropdown menu for mass block reasons, T43479: [Spam/vandalism] Raise $wgAutoblockExpiry noticeably, T40367: MediaWiki:Globalblocking-blocked should tell the IP range, Restricted Task, T55438: Change centralauth-admin-status-locked-yes, T38834: Exit page from https://meta.wikimedia.org/wiki/Special:GlobalBlock, Restricted Task, T36970: SUL accounts blocked locally on every wikis they exist should not be able to autocreate, T40195: Outdated checkuser-toollinks (spam, pay services, ad domains), T36875: Special:WikiSets/<numer of wikiset> should load global rights log snippet, T50026: Closing Wikimania2012, T38497: Hiding file upload log entry should also hide the contents of the "Summary" box on file pages, T34782: Please log the use of Special:DisableAccount, T36539: Oversighting an account globally does not remove it from public lists !, T36491: Unicode characters in aren't blocked by spam blacklist, T41213: Block interface after "Get users" check should allow talk page/send email blocking, T34628: Disable Oversight extension on Wikimedia wikis, T33010: Invalid input error while renaming on a set of wikis, T31424: Encoding problem with Special:GlobalUserRights, T38145: Convert to protocol relative link — report line in Special:GlobalBlockList, T39573: Addition of CU logs to list of user links in Special:Contributions, T31216: Kill suppression log, move to using suppressed-by-default entries in the deletion log., T38015: Additional data field: account name in Global user info (centralauth-admin-info), T40989: Special:UserRights does not handle user right change conflicts, T37971: Local revision-deleted block summaries appearing at Special:CentralAuth, T29551: CentralAuth: allow renaming of global groups, T29514: Make 'unblockself' available as a global permission, T25821: Write API for CentralAuth extension, T24033: [[Special:AbuseFilter/history]] does not show changes to private filters even though userrights include abusefilter-viewprivate, T25654: Global oversight fails to un-hide users when reversed, T25653: Global oversighting a username ignores edit limits on hideuser blocks, T32343: Add a delay before welcoming a user and a global lock check, T30633: AbuseFilter should respect revdel flags, T25584: Divide interface on revision deletion and revision hiding, T29031: Creation of WikiSets are logged to Special:WikiSets/0, T28992: Implement configuration database aka configuration management aka no shell excuse, T28957: Write extension to retrieve global (Wikimedia wiki-wide) contributions for an IP or username, T32185: Global account not appearing on Special:GlobalUsers – do maintenance/runBatchedQuery.php, T38939: User name blacklist should be managed globally to avoid SUL fragmentation, T37404: Leading space within [[ http://...]] gives redlink and avoids blacklist, T27168: CentralAuth: give links to secure server when logged-in into the secure server, T35585: Allow stewards to block an IP locally on Meta-Wiki as part of the global block form, T25343: Allow blocking open proxies based on X-Forwarded-For header (XFF), T25310: Global suppression does not work properly when the target has already been locally blocked, T22267: Public Autoblock is not hidden on Special:BlockList after hideuser, T25243: Warning before deletion global account, T22206: Allow non-sysops to tell deleted from suppressed information, T22189: Allow mass-suppression on Special:Undelete, T22188: Add a note on Special:Block if the account is already globally locked, T22186: Allow filtering history and contributions lists for revision deletion, T35458: Error when assigning global group permissions to an account with spaces, T25126: Locked and hidden accounts can unify new local accounts, T25113: RevDelete: (show/hide) links broken on diffs, T25114: CentralAuth: global suppression with this extension should use autoblock, T26894: CheckUser mass blocker unexpectedly blocks talk page access, T25005: API: revision deletion, T23279: Regular deletion of revisions deleted with rev_deleted breaks links in log entries, T21905: Sysop undeletion removes revision deletion restrictions, T23206: Log of title blacklist hits, T21823: RevisionDelete: No recreate-warning after a page has been suppress-deleted, T24903: RevisionDelete: messages in log entries in content language instead of user language, T24890: Checkuser mass blocker does not affect already blocked users, T20413: Add a dropdown for pre-defined block reasons on GlobalBlocking form, T21725: Suppressed edits should not appear in Special:DeletedContributions and Special:Undelete, T20412: Choosing an expiry from the dropdown should hide the other expiry textbox, T20383: RevisionDelete: hidden users appear in log entries created after the hiding, T20374: In log, link to diff of edit/log entry for action when edit/action succeeded, T20335: Log entries for deleting log entries are opaque, T20303: Output a canonical form to RecentChanges, T31583: Include actions logged by AbuseFilter in the CheckUser results page, T18545: Special:ListGlobalUsers/group should note when rights apply to the current wiki / when the wiki is in the relevant wiki set, T16719: Rename Spam blacklist to "Disallowed websites", T20214: CentralAuth: Differentiate between manual and automatic account creations in CARCFeed, T16699: More versatile searching in CheckUser log, T29807: Restore missing CheckUser logs, T20182: Add block-options to Special:CentralAuth, T20183: Hide globally hidden user names on Special:Log/globalauth, T24673: if last local account is moved sul should be deleted by itself, T22954: Local contribution lists of globally hidden accounts no longer visible to stewards, T16629: Titleblacklist entries with <newaccountonly> should affect automatically created accounts with SUL, T20137: Set up IRC rc feed(s) for usabilitywiki, T22928: Change visibility fails if existing states not identical. Use tri-state buttons?, T20104: Schema request change so deleted edits are identified by revisionID not timestamp (prevents DIFFs from breaking), T20098: MediaWiki:Globalblocking-block-intro should match MediaWiki:Blockiptext, T21387: Checkuser log omissions - urgently needing fixing, T18325: Blacklisted links should mean the page can't be saved, T18306: Allow user to specify block settings from CU form, T20057: Special:CentralAuth has no conflict detection whatsoever, T20060: Lockandhide should be logged in the suppression log, T20043: AbuseFilter log entries cannot be redacted/suppressed, T16476: Hiding a global account via CentralAuth should trigger local blocks using wpHideName, T22839: Filter deletion log by page deletions, undeletions and revision deletions, T21283: Allow deleting wikisets, T18214: GlobalBlocking needs API modules, T21273: AntiSpoof doesn't actually stop simple spoofing, T21234: Removal wiki set, T21227: global block should prevent password resets, T19929: CentralAuth lock/hide should trigger global autoblocks, T22775: nl Wikipedia: Possibility to see deleted edits for checkusers, T21199: Granularize RevisionDelete (RevDelete) user rights, T19881: Special:Log/suppress needs better error handling, T19864: Special:Userrights doesn't accept input properly, T21163: Special:GlobalBlock/127.0.0.1 should load global block log snippet, T19850: Please create newprojects-l for announcing the creation of new wikis, T19824: Optionally place a local block when globally blocking, T14518: Cross-wiki userrights should use groups from target wiki instead local wiki, T19806: Specific log_action for revision deletions, T16234: Remove mention of "home wiki" from Special:CentralAuth, T22695: Global Rights changes report error, on success, T19787: Allow blocking email for IPs, T26122: Make oversight-RevisionDelete revisions invisible in history, or make oversight log visible in Special:Log, T14343: Deleting a page should not affect the old protection, T24317: Do not prevent unification if home wiki is blocked, T17842: Enable image renaming on WMF wikis, T20918: Special:CentralAuth/Username should output a sortable table, T17814: Special:RevisionDelete should have clearer logs for individual revisions, T22571: Special:CentralAuth should load a snippet of Special:Log/globalauth, T20917: Add user group membership to Special:CentralAuth/Username, T22546: After global blocking, user is sent to http://meta.wikimedia.org/w/index.php (instead send user to Special:GlobalBlock/<blocked IP>), T20862: RevisionDelete should have a MediaWiki -dropdown page, and dropdown menu for common revision deletion reasons, T20860: Special:Emailuser doesn't check whether user's IP is blocked, T15953: Implement global user module (Wikimedia-wide user CSS/JS), T12545: Filter Meta userrights log by wiki and user, T20837: Add Special:Log/centralauth as an alias for Special:Log/globalauth and Special:GlobalAuth as an alias for Special:CentralAuth, T20834: Show estimate of number of edits to be reverted in rollback link, T19494: Local user rename interferes with checking SUL-status of account, T20805: Suppress username and Special:Listusers, T12493: Setting a temporary usergroup (allow expiry of user rights via Special:UserRights form), T22478: Add a note to Special:Block when the IP is already globally blocked, T22476: Split suppressrevision in two distinct permissions : the first one to oversight content, and the other one to review oversighted content, T20780: Enable RevisionDelete on WMF wikis for admins, T20753: RevDeleted to link to the actual revision(s) involved for all users, T14034: Use different system messages for local and global spam blacklist hits, T15789: Restore the global CheckUser log, T20724: Allow different levels of hiding with wpHideUser, T20725: add revision suppression UI on deleted revision page, T20723: Add levels of hiding similar to revision deletion, T24119: Enhance Blocking and tagging from checkuser interface: add new page, T24120: Enhance Blocking and tagging from checkuser interface: add dropdowns, T17536: Allow stewards to forcibly create a global account for non-unified users, T20660: Allow abuse filter to globally lock accounts and globally block IPs as an action, T19308: CentralAuth's global logs (gblrights/globalauth) should be global or central instead of local, T20598: Create a maintenance script to convert oversighted content to suppressed with revision deletion, and the corresponding log entries too, T20577: replace "show/hide" by an icon, T15601: New extension to one-click revert all of a user's actions in recentchanges, T22290: Add "hide placeholder", T20531: Hiding can hide a bit too well, T20526: Store user ids in rollback summaries and substitute them run time, T20511: Remove "hiderevision" permission from the Oversight group, T20493: Unify various deletion systems, T17294: Allow blocking of global accounts, T20472: Suppression log filtered by "offender", as Oversight log can be., T17273: please add "Prevent account creation" to global block, T19053: Hiding log entries with RevisionDelete does not automatically hide the corresponding page history entry, T3542: Log spam blacklist hits, T6459: Create a special page to handle additions, removals, changes and logging of spam blacklist entries, T9736: Oversight "hide revision" functionality not available in classic skins, T6055: farm / meta activities / logs should be duplicated at related wikis, T16862: Allow global renaming of global users, T16824: Renaming users to a globally-reserved name should verify password/email first, T13069: Add support for CentralAuth to Special:Nuke (ability for stewards to cross-wiki delete all pages created by a user), T7575: Emailing CheckUser results, T14896: Spam Blacklist shouldn't be fooled by similar-looking Unicode characters.Jan 11 2017, 11:39 PM
MarcoAurelio removed subtasks: T116211: Improve/investigate solutions for the Flow botspam, T114873: Exclude Wikimedia private wikis from the global title blacklist [[m:title blacklist]], T113149: CentralAuth log messages need improvement, T62607: Add lock reason (from log) or [[Special:CentralAuth/$1]] ($1=username) link to 'centralauth-login-error-locked' message., T103749: centralauth block failed with <centralauth-admin-lock-nonexistent>, T104371: Strengthen password policy for Stewards, T111837: Create more search fields in GlobalRenameQueue, T106067: Undeploy DisableAccount extension, T109060: [DisableAccount] Write a script to migrate disabled accounts with DisableAccount to blocked account, T111174: Special:UploadWizard needs to notify globally blocked users at the beginning of the process, and provide a standard block message, T107663: Restore delete.php, T102737: Create an account availability lookup special page , T102254: Allow a script to work on login.wikimedia.org, T101982: Update 'viewsuppressed' permission to allow users holding the right view previous block logs after 'hideuser', T78840: Make a SpecialPage to show stats on blocked IP (ranges) that attempt to edit, T69541: Special:MultiLock returns multiple success messages about statuses of users changed., T98625: ContactPage for stewards at Meta-Wiki, T97261: Create raw lists of users that trigger a given abusefilter, T85703: New user account creations (mostly spambots) not logged in loginwiki, T94591: SpamBlacklist should support protocol-relative files, Restricted Task, T94321: GlobalRenameQueue needs a means (status) to set "on hold" function on a rename request, T93564: Addition of last hit date to Special:AbuseFilter table, T92376: Set $wgRateLimits['badcaptcha'] to counter bots, T91884: Option to place local blocks at Meta uses weird block settings, T89205: Work out what global/cross-wiki user rights changed while logging was broken, T88886: Global Rename Queue to default sort in descending order, or be placed at the end of the list, T87559: Locked accounts should have mail-based notifications <s>receipt</s> disabled, T85323: Allow filtering by local and global hits on Special:AbuseLog, T73495: Create an API module to edit a user's global group membership, T66475: Make crosswiki bits and pieces truly global (tracking), T66255: Enable AbuseFilter log hits on irc.wikimedia.org for all wikis with the extension, T72795: Pywikibot does not work on closed WMF wikis, T64445: Need to change password on two mailing lists, T70889: Store rename requests in a central table, T70886: Request global account rename from home wiki before forced SUL name change, T67515: Local user block from global block should prevent account creation, T62408: Enable global AbuseFilters for all small wikis, T72380: GlobalRename: check with global AntiSpoof and warn about possible collisions, T63945: Meta's block reason drop down is the default MediaWiki:Ipbreason-dropdown rather than the local customised file, T62169: Global equivalent of autoconfirmed group, T61711: [global abuse filters] Wikimania 2013 and Wikimania2014 to be added to wikis with this functionality, T61702: Examine which extensions are installed on login.wikimedia.org (loginwiki) and vote.wikimedia.org (votewiki), T61701: Revoke all userrights from local groups on loginwiki, whitelist the needed ones, T68450: Set $wgTitleBlacklistLogHits = true on WMF wikis, T65086: Add titleblacklist log, T55083: Adding "total editcount" column to Special:Multilock page, T59891: Review and deploy GlobalCssJs extension to Wikimedia wikis, T59866: Causes "Incorrect password entered" error when the account is globally locked, T59857: Global contributions special page, T63252: Fatal error: applying cross-wiki user rights broken (seemingly following rollout of 1.23wmf13), T66541: regex expressions starting with caret (^) not functioning as per instructions say, T54734: Special:CentralAuth only shows log extracts to stewards, T58045: List global group membership on Special:CentralAuth, T54673: Globally blocked IPs should have a box with block info on Special:Contributions, T54674: Locked accounts should have a box with lock info on Special:Contributions, T61120: Update oversight logs in list of user links in Special:Contributions, T52751: Globalblocking a logged-in user, T49626: TorBlock catches Tor relay node, T49491: Special:MultiLock to implement flood setting at meta, T59253: MultiLock shows extracts from the whole suppress log, instead of only CA-related entries, T47747: Create a tool like SpamBlacklist in AbuseFilter, T44231: MediaWiki:Globalblocking-ipblocked should have a specific message for WMF projects, T44211: Group membership log messages sometimes miss new membership status, T49302: User rights allocation xwiki, doesn't check local situation, T47631: "Get edits" results should show CentralAuth lock status, like the "Get users" results do, T45916: Do not require globalgrouppermissions or globalgroupmembership rights in global groups to access Special:GlobalGroupPermissions or Special:GlobalGroupMembership, T45913: Please create and run a maintenance script to consolidate some user rights changes made at Meta-Wiki, T55939: Testing spam blacklist prior to abuse filters, T42439: Allow global whitelisting for global blocks, T55905: Create global account on login/rename, T44010: Unable to edit some wikisets, T47469: The <Centralauth-error-locked> message sucks and needs improvement, T45761: Allow local disabling of global AbuseFilters, T49045: Special:AbuseLog?wpSearchUser=${ip} takes 30-90 seconds to load, sometimes is 504, T50623: Add user-agent variable for abuse filtering, T55720: [Regression] Recent changes udp/irc feed for log actions changed, T43778: IPv6 range blocks aren't working on Meta-Wiki, T43772: Checkuser rights not being correctly applied on test.wikipedia.org, T47094: Prevent accounts to be globally hidden or oversighted if they're not about to be globally locked first (or already are)., T48746: CentralAuth wikiset manager complains about pa_uswikimedia, T47064: Create block log entries on HideUser blocks, T55537: global abusefilter testing for 3 more wikis, T50323: XFF Blocking not working locally, only globally, T43481: Use a dropdown menu for mass block reasons, T43479: [Spam/vandalism] Raise $wgAutoblockExpiry noticeably, T40367: MediaWiki:Globalblocking-blocked should tell the IP range, Restricted Task, T55438: Change centralauth-admin-status-locked-yes, T38834: Exit page from https://meta.wikimedia.org/wiki/Special:GlobalBlock, Restricted Task, T36970: SUL accounts blocked locally on every wikis they exist should not be able to autocreate, T40195: Outdated checkuser-toollinks (spam, pay services, ad domains), T36875: Special:WikiSets/<numer of wikiset> should load global rights log snippet, T50026: Closing Wikimania2012, T38497: Hiding file upload log entry should also hide the contents of the "Summary" box on file pages, T34782: Please log the use of Special:DisableAccount, T36539: Oversighting an account globally does not remove it from public lists !, T36491: Unicode characters in aren't blocked by spam blacklist, T41213: Block interface after "Get users" check should allow talk page/send email blocking, T34628: Disable Oversight extension on Wikimedia wikis, T33010: Invalid input error while renaming on a set of wikis, T31424: Encoding problem with Special:GlobalUserRights, T38145: Convert to protocol relative link — report line in Special:GlobalBlockList, T39573: Addition of CU logs to list of user links in Special:Contributions, T31216: Kill suppression log, move to using suppressed-by-default entries in the deletion log., T38015: Additional data field: account name in Global user info (centralauth-admin-info), T40989: Special:UserRights does not handle user right change conflicts, T37971: Local revision-deleted block summaries appearing at Special:CentralAuth, T29551: CentralAuth: allow renaming of global groups, T29514: Make 'unblockself' available as a global permission, T25821: Write API for CentralAuth extension, T24033: [[Special:AbuseFilter/history]] does not show changes to private filters even though userrights include abusefilter-viewprivate, T25654: Global oversight fails to un-hide users when reversed, T25653: Global oversighting a username ignores edit limits on hideuser blocks, T32343: Add a delay before welcoming a user and a global lock check, T30633: AbuseFilter should respect revdel flags, T25584: Divide interface on revision deletion and revision hiding, T29031: Creation of WikiSets are logged to Special:WikiSets/0, T28992: Implement configuration database aka configuration management aka no shell excuse, T28957: Write extension to retrieve global (Wikimedia wiki-wide) contributions for an IP or username, T32185: Global account not appearing on Special:GlobalUsers – do maintenance/runBatchedQuery.php, T38939: User name blacklist should be managed globally to avoid SUL fragmentation, T37404: Leading space within [[ http://...]] gives redlink and avoids blacklist, T27168: CentralAuth: give links to secure server when logged-in into the secure server, T35585: Allow stewards to block an IP locally on Meta-Wiki as part of the global block form, T25343: Allow blocking open proxies based on X-Forwarded-For header (XFF), T25310: Global suppression does not work properly when the target has already been locally blocked, T22267: Public Autoblock is not hidden on Special:BlockList after hideuser, T25243: Warning before deletion global account, T22206: Allow non-sysops to tell deleted from suppressed information, T22189: Allow mass-suppression on Special:Undelete, T22188: Add a note on Special:Block if the account is already globally locked, T22186: Allow filtering history and contributions lists for revision deletion, T35458: Error when assigning global group permissions to an account with spaces, T25126: Locked and hidden accounts can unify new local accounts, T25113: RevDelete: (show/hide) links broken on diffs, T25114: CentralAuth: global suppression with this extension should use autoblock, T26894: CheckUser mass blocker unexpectedly blocks talk page access, T25005: API: revision deletion, T23279: Regular deletion of revisions deleted with rev_deleted breaks links in log entries, T21905: Sysop undeletion removes revision deletion restrictions, T23206: Log of title blacklist hits, T21823: RevisionDelete: No recreate-warning after a page has been suppress-deleted, T24903: RevisionDelete: messages in log entries in content language instead of user language, T24890: Checkuser mass blocker does not affect already blocked users, T20413: Add a dropdown for pre-defined block reasons on GlobalBlocking form, T21725: Suppressed edits should not appear in Special:DeletedContributions and Special:Undelete, T20412: Choosing an expiry from the dropdown should hide the other expiry textbox, T20383: RevisionDelete: hidden users appear in log entries created after the hiding, T20374: In log, link to diff of edit/log entry for action when edit/action succeeded, T20335: Log entries for deleting log entries are opaque, T20303: Output a canonical form to RecentChanges, T31583: Include actions logged by AbuseFilter in the CheckUser results page, T18545: Special:ListGlobalUsers/group should note when rights apply to the current wiki / when the wiki is in the relevant wiki set, T16719: Rename Spam blacklist to "Disallowed websites", T20214: CentralAuth: Differentiate between manual and automatic account creations in CARCFeed, T16699: More versatile searching in CheckUser log, T29807: Restore missing CheckUser logs, T20182: Add block-options to Special:CentralAuth, T20183: Hide globally hidden user names on Special:Log/globalauth, T24673: if last local account is moved sul should be deleted by itself, T22954: Local contribution lists of globally hidden accounts no longer visible to stewards, T16629: Titleblacklist entries with <newaccountonly> should affect automatically created accounts with SUL, T20137: Set up IRC rc feed(s) for usabilitywiki, T22928: Change visibility fails if existing states not identical. Use tri-state buttons?, T20104: Schema request change so deleted edits are identified by revisionID not timestamp (prevents DIFFs from breaking), T20098: MediaWiki:Globalblocking-block-intro should match MediaWiki:Blockiptext, T21387: Checkuser log omissions - urgently needing fixing, T18325: Blacklisted links should mean the page can't be saved, T18306: Allow user to specify block settings from CU form, T20057: Special:CentralAuth has no conflict detection whatsoever, T20060: Lockandhide should be logged in the suppression log, T20043: AbuseFilter log entries cannot be redacted/suppressed, T16476: Hiding a global account via CentralAuth should trigger local blocks using wpHideName, T22839: Filter deletion log by page deletions, undeletions and revision deletions, T21283: Allow deleting wikisets, T18214: GlobalBlocking needs API modules, T21273: AntiSpoof doesn't actually stop simple spoofing, T21234: Removal wiki set, T21227: global block should prevent password resets, T19929: CentralAuth lock/hide should trigger global autoblocks, T22775: nl Wikipedia: Possibility to see deleted edits for checkusers, T21199: Granularize RevisionDelete (RevDelete) user rights, T19881: Special:Log/suppress needs better error handling, T19864: Special:Userrights doesn't accept input properly, T21163: Special:GlobalBlock/127.0.0.1 should load global block log snippet, T19850: Please create newprojects-l for announcing the creation of new wikis, T19824: Optionally place a local block when globally blocking, T14518: Cross-wiki userrights should use groups from target wiki instead local wiki, T19806: Specific log_action for revision deletions, T16234: Remove mention of "home wiki" from Special:CentralAuth, T22695: Global Rights changes report error, on success, T19787: Allow blocking email for IPs, T26122: Make oversight-RevisionDelete revisions invisible in history, or make oversight log visible in Special:Log, T14343: Deleting a page should not affect the old protection, T24317: Do not prevent unification if home wiki is blocked, T17842: Enable image renaming on WMF wikis, T20918: Special:CentralAuth/Username should output a sortable table, T17814: Special:RevisionDelete should have clearer logs for individual revisions, T22571: Special:CentralAuth should load a snippet of Special:Log/globalauth, T20917: Add user group membership to Special:CentralAuth/Username, T22546: After global blocking, user is sent to http://meta.wikimedia.org/w/index.php (instead send user to Special:GlobalBlock/<blocked IP>), T20862: RevisionDelete should have a MediaWiki -dropdown page, and dropdown menu for common revision deletion reasons, T20860: Special:Emailuser doesn't check whether user's IP is blocked, T15953: Implement global user module (Wikimedia-wide user CSS/JS), T12545: Filter Meta userrights log by wiki and user, T20837: Add Special:Log/centralauth as an alias for Special:Log/globalauth and Special:GlobalAuth as an alias for Special:CentralAuth, T20834: Show estimate of number of edits to be reverted in rollback link, T19494: Local user rename interferes with checking SUL-status of account, T20805: Suppress username and Special:Listusers, T12493: Setting a temporary usergroup (allow expiry of user rights via Special:UserRights form), T22478: Add a note to Special:Block when the IP is already globally blocked, T22476: Split suppressrevision in two distinct permissions : the first one to oversight content, and the other one to review oversighted content, T20780: Enable RevisionDelete on WMF wikis for admins, T20753: RevDeleted to link to the actual revision(s) involved for all users, T14034: Use different system messages for local and global spam blacklist hits, T15789: Restore the global CheckUser log, T20724: Allow different levels of hiding with wpHideUser, T20725: add revision suppression UI on deleted revision page, T20723: Add levels of hiding similar to revision deletion, T24119: Enhance Blocking and tagging from checkuser interface: add new page, T24120: Enhance Blocking and tagging from checkuser interface: add dropdowns, T17536: Allow stewards to forcibly create a global account for non-unified users, T20660: Allow abuse filter to globally lock accounts and globally block IPs as an action, T19308: CentralAuth's global logs (gblrights/globalauth) should be global or central instead of local, T20598: Create a maintenance script to convert oversighted content to suppressed with revision deletion, and the corresponding log entries too, T20577: replace "show/hide" by an icon, T15601: New extension to one-click revert all of a user's actions in recentchanges, T22290: Add "hide placeholder", T20531: Hiding can hide a bit too well, T20526: Store user ids in rollback summaries and substitute them run time, T20511: Remove "hiderevision" permission from the Oversight group, T20493: Unify various deletion systems, T17294: Allow blocking of global accounts, T20472: Suppression log filtered by "offender", as Oversight log can be., T17273: please add "Prevent account creation" to global block, T19053: Hiding log entries with RevisionDelete does not automatically hide the corresponding page history entry, T3542: Log spam blacklist hits, T6459: Create a special page to handle additions, removals, changes and logging of spam blacklist entries, T9736: Oversight "hide revision" functionality not available in classic skins, T6055: farm / meta activities / logs should be duplicated at related wikis, T16862: Allow global renaming of global users, T16824: Renaming users to a globally-reserved name should verify password/email first, T13069: Add support for CentralAuth to Special:Nuke (ability for stewards to cross-wiki delete all pages created by a user), T7575: Emailing CheckUser results, T14896: Spam Blacklist shouldn't be fooled by similar-looking Unicode characters.
Krenair removed a subtask: Restricted Task.Jan 11 2017, 11:48 PM
Rxy added a subscriber: Rxy.Feb 14 2018, 9:48 PM